<?php

namespace app\admin\controller;

use app\BaseController;
use think\App;
use think\facade\Db;
class Result extends BaseController
{
    public $post ="";
    public function __construct(App $app)
    {
        parent::__construct($app);
        $this->post = $this->request->post();
    }
    public function list(){
        $page = isset($this->post['page']) && $this->post['page'] !=="" ? intval($this->post['page']):"1";
        $size = isset($this->post['size']) && $this->post['size'] !=="" ? intval($this->post['size']):"10";
        $where=['is_del'=>0];
        $type = isset($this->post['type']) && $this->post['type'] !=="" ? intval($this->post['type']):"";
        if ($type !== "") {
            $where['type'] = $type;
        }
        $count = Db::name("result_info")->where($where)->count();
        $total = ceil($count/$size);
        $page = $page >= $total ? $total : $page;
        $list= Db::name('result_info')->where($where)->page($page,$size)->select();
        return app_show(0,"获取成功",['list'=>$list,'count'=>$count]);
    }
    /*新建*/
    public function create(){
        $result = isset($this->post['result']) && $this->post['result'] !==""? trim($this->post['result']) :"";
        if($result==""){
            return error_show(1002,"异常原因不能为空");
        }
        $desc = isset($this->post['result_desc']) && $this->post['result_desc'] !==""? trim($this->post['result_desc']):"";
        if($desc==""){
            return error_show(1002,"异常描述不能为空");
        }
        $type = isset($this->post['type']) && $this->post['type'] !=="" ? intval($this->post['type']):"1";
        //$result_code = isset($this->post['result_code']) && $this->post['result_code'] !=="" ? intval($this->post['result_code']):"";
        $count = Db::name('result_info')->count();
        $str = sprintf("%04d",$count);
        $status = isset($this->post['status']) && $this->post['status'] !=="" ? intval($this->post['status']):"0";
        $data =[
            "result"=>$result,"result_desc"=>$desc,
            "result_code"=>$str,"status"=>$status,
            "type"=>$type,"is_del"=>0,
            "updatetime"=>date("Y-m-d H:i:s"),
            "addtime"=>date("Y-m-d H:i:s")
        ];
        $cr = Db::name('result_info')->insert($data);
        return $cr ? error_show(0,"添加成功") : error_show(1002,"添加失败");
    }
    /*查询*/
    public function selec(){
        $id = isset($this->post['id']) && $this->post['id'] !==""? intval($this->post['id']):"";
        if($id==""){
            return error_show(1002,"异常原因不存在");
        }
        $su = Db::name('result_info')->where(['id'=>$id,'is_del'=>0])->find();
        return app_show(0,"获取成功",$su);
    }
    /*编辑*/
    public function edit(){
      // $id = isset($this->post['id']) && $this->post['id']
    }
}